/*
 * main.c
 *
 *  Created on: Apr 25, 2015
 *      Author: mari
 */
#include <stm32f4xx.h>
#include <cmsis/arm_math.h>
#include <fatfs/ff.h>
#include <fatfs/diskio.h>
#define OUTPUT(pin)  (0b01 << (pin * 2))

FATFS SDfs;
FIL file;
volatile int w;

	DSTATUS SDIO_initialize();

int initreq = 0xFF;

int main() {
	RCC->AHB1ENR |= RCC_AHB1ENR_GPIODEN;
	__DSB();
	GPIOD->MODER |= OUTPUT(12) | OUTPUT(13);
	SysTick_Config(8*1680000);
	// f_mount(&SDfs, "0:/", 1);
	//SDIO_init_hw();
	w = 0;
	while(w<10);
	initreq = SDIO_initialize();
	while(1);

}


void SysTick_Handler()
{
	GPIOD->ODR ^= (1<<12);
	w++;
}
